b = 0
a = 0

counter = 0
while b == 0 do
pad = Controls.read()
	
	screen:blit(1,171,textbox)
	screen:print(55,190,"supersonic does nothing ^_^.", blue)
	counter = counter +1 
	if pad:r() and oldpad:r() ~= pad:r() and counter >= 15 then
		b = 1
		turn = 1
	end
screen.flip()
oldpad = pad
end